# SpeciesFormChangeItemTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeItemTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeItemTrigger

- Defined in src/data/pokemon-forms.ts:245

#####
Index

### Constructors

constructor

### Properties

active
item

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeItemTrigger(item, active?): SpeciesFormChangeItemTrigger

- #### Parameters

  - item: FormChangeItem
  - active: boolean = true

  #### Returns SpeciesFormChangeItemTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:249

## Properties

### active

active: boolean

- Defined in src/data/pokemon-forms.ts:247

### item

item: FormChangeItem

- Defined in src/data/pokemon-forms.ts:246

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:255

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:212